<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateLabel Method (IEdmFile16)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile16 Interface : CreateLabel Method (IEdmFile16)

Visual Basic
C#
C++/CLI

bsName
  Name of the label; maximum of 255 characters

bsDescription
  Label description to show in the history dialog box; maximum of 2000 characters

Creates a label with the specified name and description for this file.

# Syntax

Visual Basic |
--- | ---

    Function CreateLabel( _
       ByVal bsName As System.String, _
       ByVal bsDescription As System.String _
    ) As System.Integer

C# |
--- | ---

    System.int CreateLabel(
       System.string bsName,
       System.string bsDescription
    )

C++/CLI |
--- | ---

    System.int CreateLabel(
    &   System.String^ bsName,
    &   System.String^ bsDescription
    )

#### Parameters

bsName
  Name of the label; maximum of 255 characters
bsDescription
  Label description to show in the history dialog box; maximum of 2000 characters

#### Return Value

ID of the file label

# Example

Get File Information (VB.NET)
Get File Information (C#)

# Remarks

Use IEdmVault5::GetObject to get the IEdmLabel5 object for this label.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments in invalid.

# See Also

####

IEdmFile16 Interface
IEdmFile16 Members
IEdmFolder5::CreateLabel Method ()
IEdmEnumeratorVersion5::CreateLabel Method ()

# Availability

SOLIDWORKS PDM Professional 2019 SP04